import java.applet.Applet;

import javax.swing.JFrame;

import quadbase.reportorganizer.organizerAPI.QbOrganizer;

public class InsertingItem extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			InsertingItem organizer = new InsertingItem();
			organizer.doInsertItem();
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public void init() {
		doInsertItem();
	}

	void doInsertItem() {
		
		QbOrganizer.setServletRunner("http://localhost:8080");
		QbOrganizer.setServletContext("EDAB/servlet");
		
		JFrame frame = null;
		
		try {
			QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");
		
			// Copy the OrdersBreakdown.qrp file to the <installDir>, or modify the file path accordingly to it's real location
			organizer.insertNewItem("Orders_Breakdown", 
									"This is an example report added to Organizer", 
									"OrdersBreakdown.qrp", 
									"http://localhost:8080/EDAB/OrdersBreakdown.qrp",
									"/New Project");
									
			frame = organizer.getOrganizerUI();
			frame.setVisible(true);
			
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

}
